Bug 51978 - Gabble's Call1 RequestableChannelClasses are wrong
Summary: Gabble's Call1 RequestableChannelClasses are wrong
Status: NEW
Alias: None
Product: Telepathy
Classification: Unclassified
Component: gabble (show other bugs)
Version: git master
Hardware: Other All
: medium normal
Assignee: Telepathy bugs list
QA Contact: Telepathy bugs list
URL: http://cgit.collabora.com/git/user/wj...
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-07-11 10:20 UTC by George Kiagiadakis
Modified: 2012-11-21 16:26 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description George Kiagiadakis 2012-07-11 10:20:02 UTC
According to the spec:

"
The RequestableChannelClasses for Call1 channels can be:
[( Fixed = { ...ChannelType: ...Call1,
            ...TargetHandleType: Contact,
            ...InitialVideo: True
          },
  Allowed = [ ...InitialVideoName,
              ...InitialAudio,
              ...InitialAudioName
            ]
),
( Fixed = { ...ChannelType: ...Call1,
            ...TargetHandleType: Contact,
            ...InitialAudio: True
          },
  Allowed = [ ...InitialAudioName,
              ...InitialVideo,
              ...InitialVideoName
            ]
)]
Clients aren't allowed to make outgoing calls that have neither initial audio nor initial video. Clearly, CMs which don't support video should leave out the first class and omit InitialVideo from the second class, and vice versa for CMs without audio support.
"

Apparently gabble advertises just:

[call1-1on1-5]
org.freedesktop.Telepathy.Channel.TargetHandleType u=1
org.freedesktop.Telepathy.Channel.ChannelType s=org.freedesktop.Telepathy.Channel.Type.Call1
allowed=org.freedesktop.Telepathy.Channel.TargetHandle;org.freedesktop.Telepathy.Channel.TargetID;org.freedesktop.Telepathy.Channel.Type.Call1.InitialAudio;org.freedesktop.Telepathy.Channel.Type.Call1.InitialAudioName;org.freedesktop.T
elepathy.Channel.Type.Call1.InitialVideo;org.freedesktop.Telepathy.Channel.Type.Call1.InitialVideoName;org.freedesktop.Telepathy.Channel.Type.Call1.MutableContents;

...which is not correct according to the spec, as the fixed properties do not contain Initial{Audio,Video}. This currently breaks tp-qt's capabilities detection, which follows the spec.
Comment 1 George Kiagiadakis 2012-07-14 12:44:43 UTC
Contact capabilities are apparently also wrong in the same way.
Comment 2 George Kiagiadakis 2012-11-16 15:39:06 UTC
Ping? Any thoughts on this one?
Comment 3 Will Thompson 2012-11-21 16:26:20 UTC
I wrote the test case and then started fixing Gabble and then lost the will to live.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.